<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge"><![endif]-->
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="generator" content="Asciidoctor 1.5.5">
<meta name="author" content="Alain">
<title>GTK{2 | 3 | 4} GUI related topics</title>
<link rel="stylesheet" href="./default.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.6.3/css/font-awesome.min.css">
</head>
<body class="article toc2 toc-left">
<div id="header">
<h1>GTK{2 | 3 | 4} GUI related topics</h1>
<div class="details">
<span id="author" class="author">Alain</span><br>
</div>
<div id="toc" class="toc2">
<div id="toctitle">Table of Contents</div>
<ul class="sectlevel1">
<li><a href="#_custom_widgets">Custom widgets</a></li>
<li><a href="#_dialogs">Dialogs</a></li>
<li><a href="#_gtk4_new_design">GTK4 new design ?</a></li>
<li><a href="#_developer_tips">Developer tips</a></li>
</ul>
</div>
</div>
<div id="content">
<div id="preamble">
<div class="sectionbody">
<div class="ulist">
<ul>
<li>
<p>My understanding/roadmap for <a href="gtk_hid_architecture.html">GTKx HID architecture</a>.</p>
<div class="ulist">
<ul>
<li>
<p>GTK3 using <code>cairo</code> back-end versus GDK</p>
</li>
</ul>
</div>
</li>
<li>
<p>Menus, Actions
The configurable menus system needs to be kept.</p>
</li>
</ul>
</div>
</div>
</div>
<div class="sect1">
<h2 id="_custom_widgets">Custom widgets</h2>
<div class="sectionbody">
<div class="ulist">
<ul>
<li>
<p><a href="route_style.html">Route styles</a> dialog + widget. Concepts</p>
</li>
<li>
<p><a href="layer_selection.html">Layer selection</a> concepts</p>
</li>
<li>
<p>Preview widget</p>
</li>
</ul>
</div>
</div>
</div>
<div class="sect1">
<h2 id="_dialogs">Dialogs</h2>
<div class="sectionbody">
<div class="ulist">
<ul>
<li>
<p><a href="gtk_preferences_dialog.html">Preferences Dialog</a></p>
</li>
<li>
<p><a href="gtk_drc_dialog.html">DRC Dialog</a> or windows &#8230;&#8203; Future work.</p>
</li>
</ul>
</div>
</div>
</div>
<div class="sect1">
<h2 id="_gtk4_new_design">GTK4 new design ?</h2>
<div class="sectionbody">

</div>
</div>
<div class="sect1">
<h2 id="_developer_tips">Developer tips</h2>
<div class="sectionbody">
<div class="ulist">
<ul>
<li>
<p><code>#include</code> directives <a href="includes_directives.html">policy</a>.</p>
</li>
<li>
<p>./configure --debug, then: valgrind --track-origins=yes -v ./pcb-rnd 2&gt;Valg.log</p>
</li>
<li>
<p>Policy about copyrights ?</p>
</li>
</ul>
</div>
</div>
</div>
</div>
<div id="footer">
<div id="footer-text">
Last updated 2017-04-19 08:27:19 CEST
</div>
</div>
</body>
</html>